Package org.gradle.plugins.signing.signatory.pgp

## Class PgpSignatoryProvider

- java.lang.Object
- - org.gradle.security.internal.pgp.BasePgpSignatoryProvider
  - - org.gradle.plugins.signing.signatory.pgp.PgpSignatoryProvider

- All Implemented Interfaces:
    `org.gradle.plugins.signing.signatory.internal.ConfigurableSignatoryProvider<PgpSignatory>`, `SignatoryProvider<PgpSignatory>`, `org.gradle.security.internal.BaseSignatoryProvider<PgpSignatory>`

      public class PgpSignatoryProvider
      extends org.gradle.security.internal.pgp.BasePgpSignatoryProvider
      implements org.gradle.plugins.signing.signatory.internal.ConfigurableSignatoryProvider<PgpSignatory>

  A `SignatoryProvider` of `PgpSignatory` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PgpSignatoryProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createSignatoryFor​(Project project, String name, Object[] args)` |
    `PgpSignatory` | `propertyMissing​(String signatoryName)` |

    - ### Methods inherited from class org.gradle.security.internal.pgp.BasePgpSignatoryProvider

      `createSignatory, createSignatory, getDefaultSignatory, getSignatory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.security.internal.BaseSignatoryProvider

      `getDefaultSignatory, getSignatory`

    - ### Methods inherited from interface org.gradle.plugins.signing.signatory.internal.ConfigurableSignatoryProvider

      `configure`

    - ### Methods inherited from interface org.gradle.plugins.signing.signatory.SignatoryProvider

      `getDefaultSignatory, getSignatory`

- - ### Constructor Detail

    - #### PgpSignatoryProvider

          public PgpSignatoryProvider()

  - ### Method Detail

    - #### createSignatoryFor

          public void createSignatoryFor​(Project project,
                                         String name,
                                         Object[] args)

      Specified by:
        `createSignatoryFor` in interface `org.gradle.plugins.signing.signatory.internal.ConfigurableSignatoryProvider<PgpSignatory>`

    - #### propertyMissing

          public PgpSignatory propertyMissing​(String signatoryName)